<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   exclude-result-prefixes="xpil"
   xmlns:xpil="http://www.together.at/2006/XPIL1.0"
   xmlns:prop="java.util.Properties"
   xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
   <xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
   <xsl:param name="username" select="u" />
   <xsl:param name="from_element" select="11" />
   <xsl:param name="to_element" select="20" />
   <xsl:param name="sortCriterion" select="20" />
   <xsl:param name="sortAsc" select="true" />
    <xsl:param name="selected_user" select="e" />
   <xsl:param name="total_number" select="200" />
   <xsl:param name="accessionMap" select="e" />
   <xsl:param name="sharkEdition" select="e" />
   <xsl:param name="navig_url"
      select="ParticipantMappingHandlerPO.po" />
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      href="navigation.xsl" />
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	  href="properties.xsl"/>
   <xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
      <html>
         <head>
            <title>Participant Mapping</title>
            <script type="text/javascript">
               function submitForm(formId, actionAttr) { var
               formTag = document.getElementById(formId);
               formTag.action=actionAttr; formTag.submit(); }
               function submitFormEvent(formId, actionAttr,event) {
               var formTag = document.getElementById(formId);
               formTag.action=actionAttr;
               formTag.event.value=event; formTag.submit(); }
               function submitContentFormWithAction(formId,actionAttr,event, txt) {
               if(confirm(txt))
	              {
   	                  alreadySubmited = true;
  	                  if(window.event != null)
    	               window.event.returnValue = false;
  	                  var formTag = document.getElementById(formId);
	                  formTag.action=actionAttr;
  	                  formTag.event.value=event;
  	                  formTag.submit();
  	              }
  	              }
            </script>
         </head>
         <body class="body_home">
            <form id="mainForm" name="mainForm" method="post"
               action="Blank.xhtml">
               <input type="hidden" name="event" />


               <xsl:variable name="rUrl">javascript:submitFormEvent('mainForm','ParticipantMappingHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','refresh')</xsl:variable>

                 <xsl:variable name="first">
                      <xsl:value-of select="substring-after($accessionMap,'{')" />
                    </xsl:variable>

                     <xsl:variable name="final">
                      <xsl:value-of select="substring-before($first,'}')" />
                    </xsl:variable>
                    <xsl:call-template name="Prop">
                         <xsl:with-param name="string"
					 	 select="$final" />
					    <xsl:with-param name="delimiter" select="', '" />
                    </xsl:call-template>

                    <xsl:variable name="prop_repository" select="prop:getProperty('repository','true')"/>
                    <xsl:variable name="prop_packagelist" select="prop:getProperty('packagelist','true')"/>
                    <xsl:variable name="prop_processinst" select="prop:getProperty('processinst','true')"/>
                    <xsl:variable name="prop_processmonitor" select="prop:getProperty('processmonitor','true')"/>
                    <xsl:variable name="prop_usermanag" select="prop:getProperty('usermanag','false')"/>
                    <xsl:variable name="prop_worklist" select="prop:getProperty('worklist','true')"/>
                    <xsl:variable name="prop_processlist" select="prop:getProperty('processlist','true')"/>
                    <xsl:variable name="prop_cache" select="prop:getProperty('cache','true')"/>
                    <xsl:variable name="prop_application" select="prop:getProperty('application','false')"/>

               <table class="title_style" width="85%" border="0"
                  align="center" cellpadding="0" cellspacing="0">
                  <tr>
                     <td colspan="5">
                     <table width="100%">
                     <tr>
                      <td width="2%" />
                  
                      <td class="logo_image_one"/>
                 
                      <td  class="logo_image_two" />
                     
                      <td class="logo_image_three"/>
                   <td width="2%" />
                   </tr>
                   </table>
                  </td>
                  
                  </tr>
                   <tr>
                     <td width="2%" />
                      <td colspan="3">
                        <table class="title_style" width="100%"
                           border="0" align="center" cellpadding="0" cellspacing="0">
                           <tr>
                              <td align="right"
                                 class="title_style" colspan="2" height="15">
                              </td>
                           </tr>
									<tr>

                              <td align="right"
                                 class="title_style" colspan="2" height="15" />
                           </tr>

                           <tr>

                              <td align="right"
                                 class="title_style">
                                 <table>
                                 <tr>

                                  <td class="title_style">
                                    <xsl:if test="$prop_repository='true'">
                                     <a href="RepositoryHandlerPO.po"><img src="media/RepositoryDis.gif" border="0" alt="Repository"/></a>
                                   </xsl:if>
                                    <xsl:if test="$prop_repository='false'">
                                     <img src="media/repository_gr.gif" border="0" alt="Repository"/>
                                   </xsl:if>
                                  </td>
                                  <td class="title_style">
                                    <xsl:if test="$prop_packagelist='true'">
                                      <a href="PackageHandlerPO.po"><img src="media/packagelist_dis.gif" border="0" alt="Package List"/></a>
                                    </xsl:if>
                                  <xsl:if test="$prop_packagelist='false'">
                                   <img src="media/packagelist_gr.gif" border="0" alt="Package List"/>
                                  </xsl:if>
                                 </td>
                                  <td class="title_style">
                                   <xsl:if test="$prop_processinst='true'">
                                    <a href="ProcessInstantiationHandlerPO.po"><img src="media/processinst.gif" border="0" alt="Process Instantiation"/></a>
                                  </xsl:if>
                                  <xsl:if test="$prop_processinst='false'">
                                    <img src="media/processinst_gr.gif" border="0" alt="Process Instantiation"/>
                                  </xsl:if>
                                  </td>
                                  <td class="title_style">
                                   <xsl:if test="$prop_processmonitor='true'">
                                    <a href="ProcessMonitorHandlerPO.po"><img src="media/processmonitor_dis.gif" border="0" alt="Process Monitor"/></a>
                                   </xsl:if>
                                   <xsl:if test="$prop_processmonitor='false'">
                                    <img src="media/processmonitor_gr.gif" border="0" alt="Process Monitor"/>
                                   </xsl:if>
                                  </td>
                                  <td class="title_style">
                                    <a href="GroupHandlerPO.po"><img src="media/usermanage.gif" border="0" alt="User and Group Management"/></a>
                                   </td>
                                   <td class="title_style">
                                   <xsl:if test="$prop_application='true'">
                                       <a href="ApplicationMappingHandlerPO.po"><img src="media/appmapping_blue.gif" border="0" alt="Application Mapping"/></a>
                                   </xsl:if>
                                    <xsl:if test="$prop_application='false'">
                                       <img src="media/appmapping_gr.gif" border="0" alt="Application Mapping"/>
                                   </xsl:if>
                                   </td>
                                    <td class="title_style">
                                    <xsl:if test="$prop_cache='true'">
                                       <a href="CacheHandlerPO.po"><img src="media/cache.gif" border="0" alt="Cache Management"/></a>
                                    </xsl:if>
                                    <xsl:if test="$prop_cache='false'">
                                       <img src="media/cache_gr.gif" border="0" alt="Cache Management"/>
                                   </xsl:if>
                                  </td>
                                   <td class="title_style">
                                    <xsl:if test="$prop_worklist='true'">
                                    <a href="WorklistHandlerPO.po"><img src="media/WorkListDis.gif" border="0" alt="Work List"/></a>
                                   </xsl:if>
                                   <xsl:if test="$prop_worklist='false'">
                                    <img src="media/worklist_gr.gif" border="0" alt="Work List"/>
                                   </xsl:if>
                                  </td>
                                  <td class="title_style">
                                  <xsl:if test="$prop_processlist='true'">
                                       <a href="ProcessHandlerPO.po"><img src="media/processlist.gif" border="0" alt="My Processes"/></a>
                                  </xsl:if>
                                   <xsl:if test="$prop_processlist='false'">
                                       <img src="media/processlist_gr.gif" border="0" alt="My Processes"/>
                                  </xsl:if>
                                    </td>

                                 </tr>
                                  <tr>
                                    <td/><td/><td/>
                                    <td class="title_style" align="right">
                                       <a href="GroupHandlerPO.po"><img src="media/groups_dis.gif" border="0" alt="Group Management"/></a>
                                    </td>
                                    <td class="title_style" align="right">
                                       <a href="UserHandlerPO.po"><img src="media/users.gif" border="0" alt="User Management"/></a>
                                    </td>
                                     <td class="title_style" align="right">
                                       <a href="ParticipantMappingHandlerPO.po"><img src="media/mapping.gif" border="0" alt="Participant mapping"/></a>
                                    </td>
                                    </tr>

                              </table>
                              </td>
                           </tr>
                        </table>
                     </td>
                     <td width="2%" />
                  </tr>
                  <tr>
                     <td class="body_upper" colspan="5"
                        height="4" />
                  </tr>
                  <tr>
                      <td align="left" class="body_home" width="2%"/>
				      <td align="left" class="body_home" height="15">
					    Participant Mapping List ( <xsl:value-of select="$total_number"/> entries )
				      </td>
				      <td align="center" class="body_home" height="15" width="5%">
                        <xsl:call-template name="Navigation"/>
                      </td>
				      <td align="right" class="body_home" height="15">
				      <b>User:</b> <xsl:value-of select="$username" />
				      </td>
                      <td align="left" class="body_home" width="2%"/>
                  </tr>
                  <tr>
                     <td class="body_lower" colspan="5"
                        height="1" />
                  </tr>
                  <tr>
                   <td align="left" class="body_home" width="2%"/>
				   <td align="left" class="body_home" height="15"/>
				   <td align="center" class="body_home" height="15" width="5%"/>
				   <td align="right" class="body_home" height="15"/>
                   <td align="left" class="body_home" width="2%"/>
                  </tr>
                  <tr>
                    <td class="body_lower" colspan="5" height="1"/>
                  </tr>
                  <tr>
                     <td colspan="5">
                        <table width="100%" hight="100%"
                           border="1" cellpadding="0" cellspacing="0" class="body_main">
                           <tr>
                              <!--xsl:variable name="url">javascript:submitFormEvent('mainForm','ParticipantMappingHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable-->
                              <td class="main_header_text">
                                 <div align="center">
                                    Package Id
                                 </div>
                              </td>

                              <td class="main_header_text">
                                 <div align="center">
                                     Process Definition Id
                                 </div>
                              </td>
                              <td class="main_header_text">
                                 <div align="center">
                                     Participant Id
                                 </div>
                              </td>
                              <td class="main_header_text">
                                 <div align="center">
                                     -->
                                 </div>
                              </td>
                              <td class="main_header_text">
                                 <div align="center">
                                     Username
                                 </div>
                              </td>
                              <td class="main_header_text">
                                 <div align="center">
                                     First name
                                 </div>
                              </td>
                              <td class="main_header_text">
                                 <div align="center">
                                    Last name
                                 </div>
                              </td>
                              <td class="main_header_text">
                                 <div align="center">
                                     Is group user
                                 </div>
                              </td>
                              <td class="main_header_text"
                                 width="150">
                                 <div align="center">
                                    Actions
                                 </div>
                              </td>
                           </tr>
                           <xsl:for-each select="//.">
                              <xsl:choose>
                                 <xsl:when
                                    test="name()='xpil:InstanceExtendedAttributes'">
                                    <tr
                                       class="content_label_text" bgcolor="white">
                                       <td
                                          align="center">
                                          <xsl:choose>
														<xsl:when
															test="xpil:InstanceExtendedAttribute[1]/@Value=''">

																-
														 </xsl:when>
														<xsl:otherwise>
														<xsl:value-of
                                                          select="xpil:InstanceExtendedAttribute[1]/@Value" />
														</xsl:otherwise>

													</xsl:choose>
                                       </td>
                                       <td
                                          align="center">
                         						 <xsl:choose>
														<xsl:when
															test="xpil:InstanceExtendedAttribute[2]/@Value=''">

																-
														 </xsl:when>
														<xsl:otherwise>
														<xsl:value-of
                                                          select="xpil:InstanceExtendedAttribute[2]/@Value" />
														</xsl:otherwise>

													</xsl:choose>

                                       </td>
                                       <td
                                          align="center">
                         						 <xsl:choose>
														<xsl:when
															test="xpil:InstanceExtendedAttribute[3]/@Value=''">

																-
														 </xsl:when>
														<xsl:otherwise>
														<xsl:value-of
                                                          select="xpil:InstanceExtendedAttribute[3]/@Value" />
														</xsl:otherwise>

													</xsl:choose>

                                       </td>
                                       <td
                                          align="center">
                         					-->
										</td>
										<td
                                          align="center">
                         						 <xsl:choose>
														<xsl:when
															test="xpil:InstanceExtendedAttribute[4]/@Value=''">

																-
														 </xsl:when>
														<xsl:otherwise>
														<xsl:value-of
                                                          select="xpil:InstanceExtendedAttribute[4]/@Value" />
														</xsl:otherwise>

													</xsl:choose>

                                       </td>
                                       <td
                                          align="center">
                         					 <xsl:choose>
														<xsl:when
															test="xpil:InstanceExtendedAttribute[5]/@Value=''">

																-
														 </xsl:when>
														<xsl:otherwise>
														<xsl:value-of
                                                          select="xpil:InstanceExtendedAttribute[5]/@Value" />
														</xsl:otherwise>

													</xsl:choose>

                                       </td>
                                       <td
                                          align="center">
                                           <xsl:choose>
														<xsl:when
															test="xpil:InstanceExtendedAttribute[6]/@Value=''">

																-
														 </xsl:when>
														<xsl:otherwise>
														<xsl:value-of
                                                          select="xpil:InstanceExtendedAttribute[6]/@Value" />
														</xsl:otherwise>

													</xsl:choose>


                                       </td>
                                       <td
                                          align="center">
                                             <xsl:if test="xpil:InstanceExtendedAttribute[7]/@Value='true'">
                         						Group user
                         					 </xsl:if>
                         					 <xsl:if test="xpil:InstanceExtendedAttribute[7]/@Value='false'">
                         						Single user
                         					 </xsl:if>

                                       </td>
                                       <xsl:variable
													name="deleteUrl">
													javascript:submitContentFormWithAction('mainForm','ParticipantMappingHandlerPO.po?from=
													<xsl:value-of
														select="$from_element" />
													&#38;sortCriterion=
													<xsl:value-of
														select="$sortCriterion" />
													&#38;sortAsc=
													<xsl:value-of
														select="$sortAsc" />
														&#38;packageId=
													<xsl:value-of
														select="xpil:InstanceExtendedAttribute[1]/@Value" />
														&#38;processDefId=
													<xsl:value-of
														select="xpil:InstanceExtendedAttribute[2]/@Value" />
														&#38;participantId=
													<xsl:value-of
														select="xpil:InstanceExtendedAttribute[3]/@Value" />
														&#38;username=
													<xsl:value-of
														select="xpil:InstanceExtendedAttribute[4]/@Value" />
														&#38;isGroupUser=
													<xsl:value-of
														select="xpil:InstanceExtendedAttribute[7]/@Value" />
													','delete','Do you really want to delete mapping?')
												</xsl:variable>


                                       <td colspan="3"
                                          class="title_style" height="30" align="center">
                                          <a href="{$deleteUrl}" class="link_text">
											<img src="media/delete.gif" border="0" alt="Delete" />
										  </a>


                                       </td>
                                    </tr>
                                 </xsl:when>
                              </xsl:choose>
                           </xsl:for-each>
                        </table>
                     </td>
                  </tr>
                  <tr>
                  <xsl:variable name="createUrl">javascript:submitFormEvent('mainForm','ParticipantMappingHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc" />','create')</xsl:variable>
                     <td width="2%"/>
                     <td colspan="3" class="link_text"
                        height="30" align="right">
                        <table align="right">
                        <tr>
                        <td>
                        <a href="{$createUrl}" class="link_text">
                           <img src="media/create_n.gif"
                              border="0" alt="Add new Mapping" />
                        </a>
                        </td>
                        <td>
                        <a href="{$rUrl}">
                           <img src="media/refresh_n.gif"
                              border="0" alt="Refresh Participant Mapping" />
                        </a>
                        </td>
                        </tr>
                        </table>
                     </td>
                     <td width="2%" />
                  </tr>
                  <tr>
                     <td align="left" class="body_bottom"
                        width="2%" />
                     <td align="left" colspan="2" class="body_bottom"
                        height="15">
                     &#169; 2006 Together Teaml&#246;sungen
                  </td>
                  <td class="body_bottom" height="15" align="right">
                     <xsl:if test="$auth_type!='BASIC'"> 
                        <xsl:variable name="loUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po','logout')</xsl:variable>
                        <a href="{$loUrl}">Log-out</a>
                     </xsl:if>
                  </td>
                     <td align="left" class="body_bottom"
                        width="2%" />
               </tr>
               </table>
            </form>
         </body>
      </html>
   </xsl:template>
</xsl:stylesheet>
