<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xpil" xmlns:prop="java.util.Properties" xmlns:xpil="http://www.together.at/2006/XPIL1.0" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
   <xsl:output method="html"/>
	<xsl:param name="auth_type" select="FORM" />
   <xsl:param name="username" select="u"/>
   <xsl:param name="from_element" select="11"/>
   <xsl:param name="to_element" select="20"/>
   <xsl:param name="sortCriterion" select="20"/>
   <xsl:param name="sortAsc" select="true"/>
   <xsl:param name="iconsDir" select="dir"/>
   <xsl:param name="accessionMap" select="e" />
   <xsl:param name="total_number" select="200"/>
   <xsl:param name="sharkEdition" select="e" />
	<xsl:param name="enableComments" select="e" />
    <xsl:param name="selected_user" select="e" />
   <xsl:param name="navig_url" select="WorklistHandlerPO.po"/>
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="navigation.xsl"/>
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		href="properties.xsl"/>
   <xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
   <html>
      <head>
         <title>Worklist</title>
         <script type="text/javascript">

            function submitForm(formId, actionAttr) {
             var formTag = document.getElementById(formId);
             formTag.action=actionAttr;
             formTag.submit();
             }
            function submitFormEvent(formId, actionAttr,event) {
             var formTag = document.getElementById(formId);
             formTag.action=actionAttr;
             formTag.event.value=event;
             formTag.submit();
             }
             function openNewDialogWindow(pageName,windowName,parameters) {
					 window.open(pageName,windowName,parameters); 
                     }
                     
            function submitFormWithEvent(formId, actionAttr,proId,actId,event,accepted) {
             var formTag = document.getElementById(formId);
             formTag.action=actionAttr;
             formTag.pro_id.value=proId;
             formTag.act_id.value=actId;
             formTag.accepted.value=accepted;
             formTag.event.value=event;
             formTag.submit();
             }

         </script>
      </head>
      <body class="body_home">
         <form id="mainForm" name="mainForm" method="post" action="Blank.xhtml">

            <input type="hidden" name="pro_id"/>
            <input type="hidden" name="act_id"/>
            <input type="hidden" name="event"/>
            <input type="hidden" name="accepted"/>

            <xsl:variable name="rUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select='$from_element'/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','refresh')</xsl:variable>

           <xsl:variable name="first">
                      <xsl:value-of select="substring-after($accessionMap,'{')" />
                    </xsl:variable>

                     <xsl:variable name="final">
                      <xsl:value-of select="substring-before($first,'}')" />
                    </xsl:variable>
                    <xsl:call-template name="Prop">
                         <xsl:with-param name="string"
					 	 select="$final" />
					    <xsl:with-param name="delimiter" select="', '" />
                    </xsl:call-template>

                    <xsl:variable name="prop_repository" select="prop:getProperty('repository','true')"/>
                    <xsl:variable name="prop_packagelist" select="prop:getProperty('packagelist','true')"/>
                    <xsl:variable name="prop_processinst" select="prop:getProperty('processinst','true')"/>
                    <xsl:variable name="prop_processmonitor" select="prop:getProperty('processmonitor','true')"/>
                    <xsl:variable name="prop_usermanag" select="prop:getProperty('usermanag','false')"/>
                    <xsl:variable name="prop_worklist" select="prop:getProperty('worklist','true')"/>
                    <xsl:variable name="prop_processlist" select="prop:getProperty('processlist','true')"/>
                    <xsl:variable name="prop_cache" select="prop:getProperty('cache','true')"/>
                    <xsl:variable name="prop_application" select="prop:getProperty('application','false')"/>



            <table class="title_style" width="85%" border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
            <td colspan="5">
             <table width="100%">
             <tr>
                   <td width="2%" />
                  
                     <td class="logo_image_one"/>
                 
                     <td  class="logo_image_two" />
                     
                      <td class="logo_image_three"/>
                 <td width="2%" />
                 </tr>
                 </table>
               </td>
                  </tr>
               <tr>
                  <td width="2%"/>

                  <td colspan="3">
                     <table class="title_style" width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr>
                           <td align="right" class="title_style" colspan="2" height="15"/>
                        </tr>
                        <tr>
                           <td align="right" class="title_style" colspan="2" height="15"/>
                        </tr>


                        <tr>

                          <td align="right" class="title_style" colspan="5">
                              <table>
                              <tr>

                                  <td class="title_style">
                                    <xsl:if test="$prop_repository='true'">
                                     <a href="RepositoryHandlerPO.po"><img src="media/RepositoryDis.gif" border="0" alt="Repository"/></a>
                                   </xsl:if>
                                    <xsl:if test="$prop_repository='false'">
                                     <img src="media/repository_gr.gif" border="0" alt="Repository"/>
                                   </xsl:if>
                                  </td>
                                  <td class="title_style">
                                    <xsl:if test="$prop_packagelist='true'">
                                      <a href="PackageHandlerPO.po"><img src="media/packagelist_dis.gif" border="0" alt="Package List"/></a>
                                    </xsl:if>
                                  <xsl:if test="$prop_packagelist='false'">
                                   <img src="media/packagelist_gr.gif" border="0" alt="Package List"/>
                                  </xsl:if>
                                 </td>
                                  <td class="title_style">
                                   <xsl:if test="$prop_processinst='true'">
                                    <a href="ProcessInstantiationHandlerPO.po"><img src="media/processinst.gif" border="0" alt="Process Instantiation"/></a>
                                  </xsl:if>
                                  <xsl:if test="$prop_processinst='false'">
                                    <img src="media/processinst_gr.gif" border="0" alt="Process Instantiation"/>
                                  </xsl:if>
                                  </td>
                                  <td class="title_style">
                                   <xsl:if test="$prop_processmonitor='true'">
                                    <a href="ProcessMonitorHandlerPO.po"><img src="media/processmonitor_dis.gif" border="0" alt="Process Monitor"/></a>
                                   </xsl:if>
                                   <xsl:if test="$prop_processmonitor='false'">
                                    <img src="media/processmonitor_gr.gif" border="0" alt="Process Monitor"/>
                                   </xsl:if>
                                  </td>
                                  <td class="title_style">
                                   <xsl:if test="$prop_usermanag='true'">
                                       <a href="GroupHandlerPO.po"><img src="media/usermanag_dis.gif" border="0" alt="User and Group Management"/></a>
                                   </xsl:if>
                                    <xsl:if test="$prop_usermanag='false'">
                                       <img src="media/usermanag_gr.gif" border="0" alt="User and Group Management"/>
                                   </xsl:if>
                                    </td>
                                   <td class="title_style">
                                   <xsl:if test="$prop_application='true'">
                                       <a href="ApplicationMappingHandlerPO.po"><img src="media/appmapping_blue.gif" border="0" alt="Application Mapping"/></a>
                                   </xsl:if>
                                    <xsl:if test="$prop_application='false'">
                                       <img src="media/appmapping_gr.gif" border="0" alt="Application Mapping"/>
                                   </xsl:if>
                                   </td>
                                   <td class="title_style">
                                  <xsl:if test="$prop_cache='true'">
                                       <a href="CacheHandlerPO.po"><img src="media/cache.gif" border="0" alt="Cache Management"/></a>
                                  </xsl:if>
                                   <xsl:if test="$prop_cache='false'">
                                       <img src="media/cache_gr.gif" border="0" alt="Cache Management"/>
                                  </xsl:if>
                                  </td>
                                   <td class="title_style">

                                    <a href="{$rUrl}"><img src="media/Worklistgreen.gif" border="0" alt="Refresh"/></a>

                                  </td>
                                  <td class="title_style">
                                  <xsl:if test="$prop_processlist='true'">
                                       <a href="ProcessHandlerPO.po"><img src="media/processlist.gif" border="0" alt="My Processes"/></a>
                                  </xsl:if>
                                   <xsl:if test="$prop_processlist='false'">
                                       <img src="media/processlist_gr.gif" border="0" alt="My Processes"/>
                                  </xsl:if>
                                    </td>

                                 </tr>

                               </table>
                           </td>
                        </tr>
                        <tr>
                        <td align="right" class="title_style" colspan="3">
                         <table>
                           <tr>
                           <xsl:choose>
                           <xsl:when test="xpil:WorkflowProcessFactoryInstance or xpil:User">
                            <xsl:choose>
                              <xsl:when test="xpil:User">
                                    <td align="left" class="title_style">
                               <b>Select User:</b>
                                    <select name="selected_user">
                                       <xsl:for-each select="xpil:User">
                                          <xsl:variable name="opt">
                                             <xsl:value-of select="@Id"/>
                                          </xsl:variable>
                                          <xsl:choose>
                                           <xsl:when test="$opt=$selected_user">
                                            <option selected="true" value="{$opt}">
                                             <xsl:value-of select="@Id"/>
                                            </option>
                                           </xsl:when>
                                           <xsl:otherwise>
                                           <option value="{$opt}">
                                             <xsl:value-of select="@Id"/>
                                          </option>
                                           </xsl:otherwise>
                                          </xsl:choose>

                                       </xsl:for-each>
                                    </select>
                                    </td>
                                    <td  align="left">
                                    <xsl:variable name="swUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select='$from_element'/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','switch')</xsl:variable>
                                    <a href="{$swUrl}">
                                       <img src="media/switch_n.gif" border="0" alt="Switch User"/>
                                    </a>
                                    </td>

                              </xsl:when>

                           </xsl:choose>


                         <xsl:choose>
                           <xsl:when test="xpil:WorkflowProcessFactoryInstance">
                                  <td width="2%"/>
                                 <td>
                                 <b>Select Process:</b>
                                    <select name="process_manager">
                                       <xsl:for-each select="xpil:WorkflowProcessFactoryInstance">
                                          <xsl:variable name="opt">
                                             <xsl:value-of select="@Id"/>
                                          </xsl:variable>
                                          <option value="{$opt}">
                                             <xsl:value-of select="xpdl:WorkflowProcess/@Name"/>
                                          </option>
                                       </xsl:for-each>
                                    </select>
                                  </td>
                                    <td>
                                    <xsl:variable name="tUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select='$from_element'/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','create')</xsl:variable>
                                    <a href="{$tUrl}">
                                       <img src="media/create_n.gif" border="0" alt="Create New Process Instance"/>
                                    </a>
                                    </td>

                         </xsl:when>

                       </xsl:choose>
                       </xsl:when>
                       <xsl:otherwise>
                        <td class="title_style" height="28" colspan="2">
                                    <img src="media/blank.gif" alt="" width="1"/>
                                 </td>
                       </xsl:otherwise>
                       </xsl:choose>
                    </tr>
                 </table>
                 </td>
               </tr>

                     </table>
                  </td>
                  <td width="2%"/>
               </tr>
               <tr>
                  <td class="body_upper" colspan="5" height="4"/>
               </tr>
               <tr>
                  <td align="left" class="body_home" width="2%"/>
				  <td align="left" class="body_home" height="15">
					Work List ( <xsl:value-of select="$total_number"/> entries )<xsl:if test="$username!=$selected_user"> for user : <xsl:value-of select="$selected_user"/></xsl:if>
				  </td>
				  <td align="center" class="body_home" height="15" width="5%">
                      <xsl:call-template name="Navigation"/>
                  </td>
				 <td align="right" class="body_home" height="15">
				     <b>User:</b> <xsl:value-of select="$username" />
				 </td>
                  <td align="left" class="body_home" width="2%"/>
               </tr>
               <tr>
                  <td class="body_lower" colspan="5" height="1"/>
               </tr>
               <tr>
                   <td align="left" class="body_home" width="2%"/>
				   <td align="left" class="body_home" height="15"/>
				   <td align="center" class="body_home" height="15" width="5%"/>
				   <td align="right" class="body_home" height="15"/>
                   <td align="left" class="body_home" width="2%"/>
               </tr>
               <tr>
                  <td class="body_lower" colspan="5" height="1"/>
               </tr>
               <tr>
                     <td colspan="5">
                     <table width="100%" hight="100%" border="1" cellpadding="0" cellspacing="0" class="body_main">
                        <tr height="20">
                           <xsl:variable name="url">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=accepted&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
                           <td class="main_header_text">
							  
                           </td>
                           <td class="main_header_text">
							  <a href="{$url}">
								  <img src="media/accept.gif" alt="" border="0" />
							  </a>
                           </td>
                           <td class="main_header_text">
                              <div align="center">Process</div>
                           </td>
                           <td class="main_header_text">
                              <div align="center">Activity</div>
                           </td>
                           <td class="main_header_text">
                              <div align="center">Priority</div>
                           </td>
                           <td class="main_header_text">
                              <div align="center">Description</div>
                           </td>
                           <xsl:variable name="url">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=createdtime&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
                           <td class="main_header_text">
                              <div align="center"><a href="{$url}"
								  >Created</a></div>
                           </td>
                           <td class="main_header_text">
                              <div align="center">Actions</div>
                           </td>
                        </tr>
                        <xsl:for-each select="//.">
                           <xsl:choose>
                              <xsl:when test="name()='xpil:MainWorkflowProcessInstance' or name()='xpil:SubWorkflowProcessInstance'">
                                 <xsl:variable name="proid">
                                    <xsl:value-of select="@Id"/>
                                 </xsl:variable>
                                 <xsl:variable name="actId">
                                    <xsl:value-of select="xpil:ActivityInstances/xpil:ManualActivityInstance/@Id"/>
                                 </xsl:variable>
                                 <xsl:variable name="priority">
                                    <xsl:apply-templates select="xpil:Priority"/>
                                 </xsl:variable>
                                 <xsl:for-each select="xpil:ActivityInstances/xpil:ManualActivityInstance">

                                    <xsl:variable name="accepted">
                                       <xsl:value-of select="xpil:AssignmentInstances/xpil:AssignmentInstance/@IsAccepted"/>
                                    </xsl:variable>
                                     <xsl:variable name="icon">
                                       <xsl:value-of select="xpdl:Activity/xpdl:Icon"/>
                                    </xsl:variable>
                                     <xsl:variable name="iconpath">
                                       <xsl:value-of select="concat($iconsDir,$icon)"/>
                                    </xsl:variable>
                                    
                                    <xsl:variable name="url1">javascript:submitFormWithEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','<xsl:value-of select="../../@Id"/>','<xsl:value-of select="@Id"/>','accepted','<xsl:value-of select="xpil:AssignmentInstances/xpil:AssignmentInstance/@IsAccepted"/>')</xsl:variable>
                                    <tr class="content_label_text">
                                       <td  class="content_label_text" width="3%">
                                       <xsl:if test="$icon!='' and $sharkEdition!='community'">
                                        <img src="{$iconpath}" alt="" border="0" />
                                       </xsl:if>
                                       <xsl:if test="$icon='' or $sharkEdition='community'">
                                        <img src="media/genericactivity.gif" alt="" border="0" />
                                       </xsl:if>
                                       </td>
                                       <td class="content_label_text" width="3%">
                                         <xsl:if test="$username=$selected_user">
                                          <xsl:choose>
                                             <xsl:when test="$accepted='true'">
                                                <input name="{$actId}" type="checkbox" checked="{$accepted}" onclick="{$url1}"/>
                                             </xsl:when>
                                             <xsl:otherwise>
                                                <input name="{$actId}" type="checkbox" onclick="{$url1}"/>
                                             </xsl:otherwise>
                                          </xsl:choose>
                                          </xsl:if>
                                           <xsl:if test="$username!=$selected_user">
                                          <xsl:choose>
                                             <xsl:when test="$accepted='true'">
                                                <input name="{$actId}" type="checkbox" checked="{$accepted}" disabled="true"/>
                                             </xsl:when>
                                             <xsl:otherwise>
                                                <input name="{$actId}" type="checkbox" disabled="true"/>
                                             </xsl:otherwise>
                                          </xsl:choose>
                                          </xsl:if>
                                       </td>
                                       <td align="center">
                                          <xsl:value-of select="../../@Name"/>
                                       </td>
                                       <td align="center">
                                          <xsl:value-of select="@Name"/>
                                       </td>
                                       <td align="center">
                                          <xsl:value-of select="xpil:InstancePriority"/>
                                       </td>
                                       <td align="center">
                                          <xsl:choose>
                                             <xsl:when test="xpil:InstanceDescription!=''">
                                                <xsl:value-of select="xpil:InstanceDescription"/>
                                             </xsl:when>
                                             <xsl:otherwise>
                                              -
                                            </xsl:otherwise>
                                          </xsl:choose>
                                       </td>
                                       <td align="center">
                                          <xsl:value-of select="concat(substring(@Created,0,11),' ',substring(@Created,12,5))"/>
                                       </td>
                                       <!--<xsl:variable name="url">javascript:var wnd=window.open('ActivityHandlerPO.po?pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>&#38;activity=yes','','toolbar=no,status=no,menubar=no,scrollbars=yes,left=250,top=60,width=700,height=600,resizable=yes');wnd.focus()</xsl:variable>-->
                                       <xsl:variable name="url">javascript:submitForm('mainForm','ActivityHandlerPO.po?pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>&#38;from=<xsl:value-of select='$from_element'/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','')</xsl:variable>
                                       <xsl:variable name="url2">javascript:submitFormWithEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','<xsl:value-of select="../../@Id"/>','<xsl:value-of select="@Id"/>','complete','none')</xsl:variable>
                                       <xsl:variable name="urlreass">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>&#38;pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','reassign')</xsl:variable>
									   <xsl:variable name="allCommentsUrl">javascript:openNewDialogWindow('AllCommentsHandlerPO.po?pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>','dialog','resizable=no,scrollbars=yes')</xsl:variable>
									   <xsl:variable name="showGraphUrl">javascript:openNewDialogWindow('ShowActivityExecutionGraphPO.po?pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>','dialog1','width=500,height=300,resizable=yes,scrollbars=yes,left=300,top=200')</xsl:variable>
                                       <td align="center">
                                        <table>
                                          <tr>
                                          <xsl:if test="$username=$selected_user">
                                          <xsl:choose>
                                             <xsl:when test="$accepted='true'">

                                                      <td>
                                                         <a href="{$url}"><img src="media/edit.gif" border="0" alt="Update variable"/></a>
                                                      </td>
                                                      <td>
                                                         <a href="{$url2}"><img src="media/gear_ok.gif" border="0" alt="Complete activity"/></a>
                                                      </td>

                                             </xsl:when>

                                          </xsl:choose>
                                          </xsl:if>
                                          <xsl:if test="$sharkEdition!='community'">
                                          <td>
                                           <a href="{$urlreass}"><img src="media/user1_preferences.gif" border="0" alt="Reassign task "/></a>
                                          </td>
                                           <td>
                                           <a href="{$showGraphUrl}"><img src="media/branch_view.gif" border="0" alt="Activity execution graph "/></a>
                                          </td>
                                          
										  <xsl:if test="$enableComments='true'">
											<td>
												<a href="{$allCommentsUrl}" class="link_text">
												<img src="media/allcomments.gif" alt="Comments"
													border="0" />
												</a>
											</td>
											</xsl:if>
                                          </xsl:if>
                                         </tr>
                                        </table>
                                       </td>
                                    </tr>
                                 </xsl:for-each>
                              </xsl:when>
                           </xsl:choose>
                        </xsl:for-each>
                     </table>
                  </td>
               </tr>
               <tr>
                <td width="2%"/>
                  <td colspan="3" class="title_style" height="30" align="right">
                     <a href="{$rUrl}">
                        <img src="media/refresh_n.gif" border="0" alt="Refresh Work List"/>
                     </a>
                  </td>
						<td width="2%"/>
               </tr>
              <tr>
                     <td align="left" class="body_bottom"
                        width="2%" />
                     <td align="left" colspan="2" class="body_bottom"
                        height="15">
                     &#169; 2006 Together Teaml&#246;sungen
                  </td>
                  <td class="body_bottom" height="15" align="right">                  
                     <xsl:if test="$auth_type!='BASIC'"> 
                        <xsl:variable name="loUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po','logout')</xsl:variable>
                        <a href="{$loUrl}">
                           Log-out
                        </a>
                     </xsl:if>
                  </td>
                     <td align="left" class="body_bottom"
                        width="2%" />
               </tr>
            </table>
         </form>
      </body>
   </html>
   </xsl:template>
</xsl:stylesheet>
